import type ModalDialog from "@/js/contexts/shared/ui/components/modal/ModalDialog.vue";
import type { Ref } from "vue";

export default function useModal(modal: Ref<InstanceType<typeof ModalDialog> | undefined>) {
  const open = () => {
    modal.value?.open();
  };
  const close = () => {
    modal.value?.close();
  };

  return {
    open,
    close,
  };
}
